<?php 
		global $yolo_giraffe_options;

		$layout_site_width = isset($yolo_giraffe_options['layout_site_width']) ? $yolo_giraffe_options['layout_site_width']."%" : '100%';
		$layout_site_max_width = isset($yolo_giraffe_options['layout_site_max_width']) ? $yolo_giraffe_options['layout_site_max_width']."px" : '1400px';

		$text_color = '#363738';
		if (isset($yolo_giraffe_options['text_color']) && ! empty($yolo_giraffe_options['text_color'])) {
			$text_color = $yolo_giraffe_options['text_color'];
		}

		$text_color_fade_10           		= fade($text_color, '10%');
		$text_color_fade_20           	= fade($text_color, '20%');
		$text_color_fade_30           	= fade($text_color, '30%');
		$text_color_fade_40           	= fade($text_color, '40%');
		$text_color_fade_50           	= fade($text_color, '50%');
		$text_color_fade_60           	= fade($text_color, '60%');
		$text_color_fade_70           	= fade($text_color, '70%');
		$text_color_fade_80           	= fade($text_color, '80%');
		$text_color_fade_90           	= fade($text_color, '90%');

		$text_color_lighten_5           = lighten($text_color, '5%');
		$text_color_lighten_10          = lighten($text_color, '10%');
		$text_color_lighten_15          = lighten($text_color, '15%');
		$text_color_lighten_20          = lighten($text_color, '20%');
		$text_color_lighten_25          = lighten($text_color, '25%');
		$text_color_lighten_30          = lighten($text_color, '30%');
		$text_color_lighten_35          = lighten($text_color, '35%');
		$text_color_lighten_40          = lighten($text_color, '40%');
		$text_color_lighten_50          = lighten($text_color, '50%');
		$text_color_lighten_60          = lighten($text_color, '60%');
		$text_color_lighten_70          = lighten($text_color, '70%');

		$text_color_darken_5             = darken($text_color, '5%');
		$text_color_darken_10            = darken($text_color, '10%');
		$text_color_darken_15            = darken($text_color, '15%');
		$text_color_darken_20            = darken($text_color, '20%');
		$text_color_darken_25            = darken($text_color, '25%');

		$primary_color      = '#ffb535';
		if (isset($yolo_giraffe_options['primary_color']) && ! empty($yolo_giraffe_options['primary_color'])) {
			$primary_color = $yolo_giraffe_options['primary_color'];
		}

		$primary_color_fade_10           	= fade($primary_color, '10%');
		$primary_color_fade_20           	= fade($primary_color, '20%');
		$primary_color_fade_30           	= fade($primary_color, '30%');
		$primary_color_fade_40           	= fade($primary_color, '40%');
		$primary_color_fade_50           	= fade($primary_color, '50%');
		$primary_color_fade_60           	= fade($primary_color, '60%');
		$primary_color_fade_70           	= fade($primary_color, '70%');
		$primary_color_fade_80           	= fade($primary_color, '80%');
		$primary_color_fade_90           	= fade($primary_color, '90%');

		$primary_color_lighten_5           	= lighten($primary_color, '5%');
		$primary_color_lighten_10           = lighten($primary_color, '10%');
		$primary_color_lighten_15           = lighten($primary_color, '15%');
		$primary_color_lighten_20           = lighten($primary_color, '20%');
		$primary_color_lighten_25           = lighten($primary_color, '25%');

		$primary_color_darken_5             = darken($primary_color, '5%');
		$primary_color_darken_10            = darken($primary_color, '10%');
		$primary_color_darken_15            = darken($primary_color, '15%');
		$primary_color_darken_20            = darken($primary_color, '20%');
		$primary_color_darken_25            = darken($primary_color, '25%');

		$heading_color = '#333333';
		if (isset($yolo_giraffe_options['heading_color']) && ! empty($yolo_giraffe_options['heading_color'])) {
			$heading_color = $yolo_giraffe_options['heading_color'];
		}

		$heading_color_lighten_20           = lighten($heading_color, '20%');

		$heading_color_fade_10           	= fade($heading_color, '10%');
		$heading_color_fade_20           	= fade($heading_color, '20%');
		$heading_color_fade_30           	= fade($heading_color, '30%');
		$heading_color_fade_40           	= fade($heading_color, '40%');
		$heading_color_fade_50           	= fade($heading_color, '50%');
		$heading_color_fade_60           	= fade($heading_color, '60%');
		$heading_color_fade_70           	= fade($heading_color, '70%');
		$heading_color_fade_80           	= fade($heading_color, '80%');
		$heading_color_fade_90           	= fade($heading_color, '90%');



		$secondary_color = '#1ec0ff';
		if (isset($yolo_giraffe_options['secondary_color']) && ! empty($yolo_giraffe_options['secondary_color'])) {
			$secondary_color = $yolo_giraffe_options['secondary_color'];
		}

		$heading_color_lighten_20           = lighten($heading_color, '20%');


		$fonts = (object)array();
		// Menu Font
		$fonts->menu_font_family = 'Montserrat';
		$fonts->menu_font_weight = '600';
		$fonts->menu_font_size   	= '15px';

		if ( isset($yolo_giraffe_options['menu_font']) && ! empty($yolo_giraffe_options['menu_font']) && !empty($yolo_giraffe_options['menu_font']['font-family']) ) {
			$fonts->menu_font_family = $yolo_giraffe_options['menu_font']['font-family'];
			$fonts->menu_font_weight = $yolo_giraffe_options['menu_font']['font-weight'];
			$fonts->menu_font_size   	= $yolo_giraffe_options['menu_font']['font-size'];
		}

		// Secondary Font
		$fonts->secondary_font_family = 'Fredoka One';
		$fonts->secondary_font_weight = '400';
		$fonts->secondary_font_size   = '16px';
		if ( isset($yolo_giraffe_options['secondary_font']) && ! empty($yolo_giraffe_options['secondary_font']) && !empty($yolo_giraffe_options['secondary_font']['font-family']) ) {
			$fonts->secondary_font_family = $yolo_giraffe_options['secondary_font']['font-family'];
			$fonts->secondary_font_weight = $yolo_giraffe_options['secondary_font']['font-weight'];
			$fonts->secondary_font_size   = $yolo_giraffe_options['secondary_font']['font-size'];
		}


		// Third Font
		$fonts->third_font_family = 'Fredoka One';
		$fonts->third_font_weight = '400';
		$fonts->third_font_size   = '16px';
		if ( isset($yolo_giraffe_options['third_font']) && ! empty($yolo_giraffe_options['third_font']) && !empty($yolo_giraffe_options['third_font']['font-family']) ) {
			$fonts->third_font_family = $yolo_giraffe_options['third_font']['font-family'];
			$fonts->third_font_weight = $yolo_giraffe_options['third_font']['font-weight'];
			$fonts->third_font_size   = $yolo_giraffe_options['third_font']['font-size'];
		}


		// General Font
		$fonts->primary_font_family = 'Montserrat';
		$fonts->primary_font_weight = '400';
		$fonts->primary_font_size   = '14px';
		if ( isset($yolo_giraffe_options['body_font']) && ! empty($yolo_giraffe_options['body_font']) && !empty($yolo_giraffe_options['body_font']['font-family']) ) {
			$fonts->primary_font_family = $yolo_giraffe_options['body_font']['font-family'];
			$fonts->primary_font_weight = $yolo_giraffe_options['body_font']['font-weight'];
			$fonts->primary_font_size   = $yolo_giraffe_options['body_font']['font-size'];
		}

		// Heading Font
		$fonts->h1_font_family = 'Fredoka One';
		$fonts->h1_font_weight = '400';
		$fonts->h1_font_size   = '36px';
		if ( isset($yolo_giraffe_options['h1_font']) && ! empty($yolo_giraffe_options['h1_font']) && !empty($yolo_giraffe_options['h1_font']['font-family']) ) {
			$fonts->h1_font_family = $yolo_giraffe_options['h1_font']['font-family'];
			$fonts->h1_font_weight = $yolo_giraffe_options['h1_font']['font-weight'];
			$fonts->h1_font_size   = $yolo_giraffe_options['h1_font']['font-size'];
		}
		$fonts->h2_font_family = 'Fredoka One';
		$fonts->h2_font_weight = '400';
		$fonts->h2_font_size   = '30px';
		if ( isset($yolo_giraffe_options['h2_font']) && ! empty($yolo_giraffe_options['h2_font']) && !empty($yolo_giraffe_options['h2_font']['font-family']) ) {
			$fonts->h2_font_family = $yolo_giraffe_options['h2_font']['font-family'];
			$fonts->h2_font_weight = $yolo_giraffe_options['h2_font']['font-weight'];
			$fonts->h2_font_size   = $yolo_giraffe_options['h2_font']['font-size'];
		}
		$fonts->h3_font_family = 'Fredoka One';
		$fonts->h3_font_weight = '400';
		$fonts->h3_font_size   = '26px';
		if ( isset($yolo_giraffe_options['h3_font']) && ! empty($yolo_giraffe_options['h3_font']) && !empty($yolo_giraffe_options['h3_font']['font-family']) ) {
			$fonts->h3_font_family = $yolo_giraffe_options['h3_font']['font-family'];
			$fonts->h3_font_weight = $yolo_giraffe_options['h3_font']['font-weight'];
			$fonts->h3_font_size   = $yolo_giraffe_options['h3_font']['font-size'];
		}
		$fonts->h4_font_family = 'Fredoka One';
		$fonts->h4_font_weight = '400';
		$fonts->h4_font_size   = '22px';
		if ( isset($yolo_giraffe_options['h4_font']) && ! empty($yolo_giraffe_options['h4_font']) && !empty($yolo_giraffe_options['h4_font']['font-family']) ) {
			$fonts->h4_font_family = $yolo_giraffe_options['h4_font']['font-family'];
			$fonts->h4_font_weight = $yolo_giraffe_options['h4_font']['font-weight'];
			$fonts->h4_font_size   = $yolo_giraffe_options['h4_font']['font-size'];
		}
		$fonts->h5_font_family = 'Fredoka One';
		$fonts->h5_font_weight = '400';
		$fonts->h5_font_size   = '18px';
		if ( isset($yolo_giraffe_options['h5_font']) && ! empty($yolo_giraffe_options['h5_font']) && !empty($yolo_giraffe_options['h5_font']['font-family']) ) {
			$fonts->h5_font_family = $yolo_giraffe_options['h5_font']['font-family'];
			$fonts->h5_font_weight = $yolo_giraffe_options['h5_font']['font-weight'];
			$fonts->h5_font_size   = $yolo_giraffe_options['h5_font']['font-size'];
		}
		$fonts->h6_font_family = 'Fredoka One';
		$fonts->h6_font_weight = '400';
		$fonts->h6_font_size   = '14px';
		if ( isset($yolo_giraffe_options['h6_font']) && ! empty($yolo_giraffe_options['h6_font']) && !empty($yolo_giraffe_options['h6_font']['font-family']) ) {
			$fonts->h6_font_family = $yolo_giraffe_options['h6_font']['font-family'];
			$fonts->h6_font_weight = $yolo_giraffe_options['h6_font']['font-weight'];
			$fonts->h6_font_size   = $yolo_giraffe_options['h6_font']['font-size'];
		}

		// Page Title Font
		$fonts->page_title_font_family = 'Fredoka One';
		$fonts->page_title_font_weight = '400';
		$fonts->page_title_font_size   = '36px';
		if ( isset($yolo_giraffe_options['page_title_font']) && ! empty($yolo_giraffe_options['page_title_font']) && !empty($yolo_giraffe_options['page_title_font']['font-family']) ) {
			$fonts->page_title_font_family = $yolo_giraffe_options['page_title_font']['font-family'];
			$fonts->page_title_font_weight = $yolo_giraffe_options['page_title_font']['font-weight'];
			$fonts->page_title_font_size   = $yolo_giraffe_options['page_title_font']['font-size'];
		}
		$fonts->page_sub_title_font_family = 'Montserrat';
		$fonts->page_sub_title_font_weight = '400';
		$fonts->page_sub_title_font_size   = '14px';
		if ( isset($yolo_giraffe_options['page_sub_title_font']) && ! empty($yolo_giraffe_options['page_sub_title_font']) && !empty($yolo_giraffe_options['page_sub_title_font']['font-family']) ) {
			$fonts->page_sub_title_font_family = $yolo_giraffe_options['page_sub_title_font']['font-family'];
			$fonts->page_sub_title_font_weight = $yolo_giraffe_options['page_sub_title_font']['font-weight'];
			$fonts->page_sub_title_font_size   = $yolo_giraffe_options['page_sub_title_font']['font-size'];
		}

		// Page Title
		//-------------------
		$page_title_bg_color = '#777';
		if (isset($yolo_giraffe_options['page_title_bg_color']) && ! empty($yolo_giraffe_options['page_title_bg_color'])) {
			$page_title_bg_color = $yolo_giraffe_options['page_title_bg_color'];
		}

		$page_title_overlay_color = '#000';
		if (isset($yolo_giraffe_options['page_title_overlay_color']) && ! empty($yolo_giraffe_options['page_title_overlay_color'])) {
			$page_title_overlay_color = $yolo_giraffe_options['page_title_overlay_color'];
		}
		$page_title_overlay_opacity = '0';
		if (isset($yolo_giraffe_options['page_title_overlay_opacity']) && ! empty($yolo_giraffe_options['page_title_overlay_opacity'])) {
			$page_title_overlay_opacity = $yolo_giraffe_options['page_title_overlay_opacity']/100;
		}

		$page_title_color         = '#fff';
		if (isset($yolo_giraffe_options['page_title_color']) && ! empty($yolo_giraffe_options['page_title_color'])) {
			$page_title_color = $yolo_giraffe_options['page_title_color'];
		}

        $page_sub_title_color     = '#fff';

        $page_title_margin_top    = '0';
        if (isset($yolo_giraffe_options['page_title_margin'])) {
            $page_title_margin_top = $yolo_giraffe_options['page_title_margin']['margin-top'];
        }

        $page_title_margin_bottom = '85px';
        if (isset($yolo_giraffe_options['page_title_margin'])) {
            $page_title_margin_bottom = $yolo_giraffe_options['page_title_margin']['margin-bottom'];
        }

        $page_title_height        = '300px';
        if (isset($yolo_giraffe_options['page_title_height']) && !empty($yolo_giraffe_options['page_title_height'])) {
            $page_title_height = $yolo_giraffe_options['page_title_height'] . 'px';
        }

		$logo = (object)array();
		$yolo_header_layout = '';
		if (($yolo_header_layout == '') || ($yolo_header_layout == '-1')) {
			$yolo_header_layout = $yolo_giraffe_options['header_layout'];
		}
		$logo->main_menu_height    = '80px';
		$logo->logo_padding_top    = '10px';
		$logo->logo_padding_bottom = '10px';

		// Change default logo height here
		$logo_matrix = array(
			'header-1' => array(140, 10, 10, 80),
			'header-2' => array(140, 0, 0, 80),
			'header-3' => array(140, 0, 0, 80),
			'header-2' => array(140, 20, 20, 80),
			'header-6' => array(140, 20, 20, 70),
			'header-8' => array(140, 20, 20, 70),
			'header-sidebar' => array(140, 20, 20, 'auto'),
		);
		if (isset($logo_matrix[$yolo_header_layout])) {
			if (isset($logo_matrix[$yolo_header_layout][3])) {
				$logo->main_menu_height = $logo_matrix[$yolo_header_layout][3] . 'px';
			}
		}

		// Get logo padding
		if (isset($yolo_giraffe_options['logo_padding']) && is_array($yolo_giraffe_options['logo_padding'])
			&& isset($yolo_giraffe_options['logo_padding']['padding-top']) && !empty($yolo_giraffe_options['logo_padding']['padding-top'])) {
			$logo->logo_padding_top = $yolo_giraffe_options['logo_padding']['padding-top'];
		}
		if (isset($yolo_giraffe_options['logo_padding']) && is_array($yolo_giraffe_options['logo_padding'])
			&& isset($yolo_giraffe_options['logo_padding']['padding-bottom']) && !empty($yolo_giraffe_options['logo_padding']['padding-bottom'])) {
			$logo->logo_padding_bottom = $yolo_giraffe_options['logo_padding']['padding-bottom'];
		}

		// Mobile menu
		$logo_mobile_padding     = '15px';
		$main_menu_mobile_height = '70px';

		$logo_mobile_matrix = array(
			'header-mobile-1' => array(70, 15),
			'header-mobile-2' => array(120, 25, 50),
			'header-mobile-3' => array(70, 15),
			'header-mobile-4' => array(70, 15),
			'header-mobile-5' => array(70, 15),
		);

		// GET logo_padding
		$mobile_header_layout = isset($yolo_giraffe_options['mobile_header_layout']) ? $yolo_giraffe_options['mobile_header_layout'] : 'header-mobile-2';
		if (isset($logo_mobile_matrix[$mobile_header_layout])) {
			$logo_mobile_padding    = $logo_mobile_matrix[$mobile_header_layout][1] . 'px';
			if (isset($logo_mobile_matrix[$mobile_header_layout][2])) {
				$main_menu_mobile_height = $logo_mobile_matrix[$mobile_header_layout][2] . 'px';
			}
			else {
				$main_menu_mobile_height = ($logo_mobile_matrix[$mobile_header_layout][0] + $logo_mobile_matrix[$mobile_header_layout][1] * 2) . 'px';
			}
		}

		if (isset($yolo_giraffe_options['logo_mobile_padding']) && isset($yolo_giraffe_options['logo_mobile_padding']['height']) && ! empty($yolo_giraffe_options['logo_mobile_padding']['height']) && ($yolo_giraffe_options['logo_mobile_padding']['height'] != 'px')) {
			$logo_mobile_padding = $yolo_giraffe_options['logo_mobile_padding']['height'];
		}

		//header
		$header = (object)array();

		$header->header_1_nav_bg_color 			= '#f4f4f4';
        $header->header_1_nav_text_color     	= '#fff';
        $header->header_1_height		 		= '130px';
        $header->header_1_nav_bg_color_opacity  = '100.0';

        $header->header_2_nav_bg_color 			= '#f4f4f4';
        $header->header_2_nav_text_color     	= '#fff';
        $header->header_2_height		 		= '130px';
        $header->header_2_nav_bg_color_opacity  = '100.0';

        $header->header_3_nav_bg_color 			= '#f4f4f4';
        $header->header_3_nav_text_color     	= '#fff';
        $header->header_3_height		 		= '130px';
        $header->header_3_nav_bg_color_opacity  = '100.0';

        $header->header_4_nav_bg_color 			= '#f4f4f4';
        $header->header_4_nav_text_color     	= '#fff';
        $header->header_4_height		 		= '130px';
        $header->header_4_nav_bg_color_opacity  = '100.0';

        $header->headersidebar_nav_bg_color 	= '#f4f4f4';
        $header->headersidebar_nav_text_color   = '#fff';
        $header->headersidebar_sidebar_width    = '300px';

        $header->headersidebar_nav_bg_color_lighten_10 = '#fff';

        if (isset($yolo_giraffe_options['header_1_nav_bg_color']) && !empty($yolo_giraffe_options['header_1_nav_bg_color'])) {
				$header->header_1_nav_bg_color = $yolo_giraffe_options['header_1_nav_bg_color'];
		}
        if (isset($yolo_giraffe_options['header_1_nav_text_color']) && !empty($yolo_giraffe_options['header_1_nav_text_color'])) {
            $header->header_1_nav_text_color = $yolo_giraffe_options['header_1_nav_text_color'];
        }

        if (isset($yolo_giraffe_options['header_1_height']) && !empty($yolo_giraffe_options['header_1_height'])) {
            $header->header_1_height = $yolo_giraffe_options['header_1_height'] . 'px';
        }


        if (isset($yolo_giraffe_options['header_2_nav_bg_color']) && !empty($yolo_giraffe_options['header_2_nav_bg_color'])) {
				$header->header_2_nav_bg_color = $yolo_giraffe_options['header_2_nav_bg_color'];
		}
        if (isset($yolo_giraffe_options['header_2_nav_text_color']) && !empty($yolo_giraffe_options['header_2_nav_text_color'])) {
            $header->header_2_nav_text_color = $yolo_giraffe_options['header_2_nav_text_color'];
        }
        if (isset($yolo_giraffe_options['header_2_height']) && !empty($yolo_giraffe_options['header_2_height'])) {
            $header->header_2_height = $yolo_giraffe_options['header_2_height'] . 'px';
        }

        if (isset($yolo_giraffe_options['header_3_nav_bg_color']) && !empty($yolo_giraffe_options['header_3_nav_bg_color'])) {
				$header->header_3_nav_bg_color = $yolo_giraffe_options['header_3_nav_bg_color'];
		}
        if (isset($yolo_giraffe_options['header_3_nav_text_color']) && !empty($yolo_giraffe_options['header_3_nav_text_color'])) {
            $header->header_3_nav_text_color = $yolo_giraffe_options['header_3_nav_text_color'];
        }
        if (isset($yolo_giraffe_options['header_3_height']) && !empty($yolo_giraffe_options['header_3_height'])) {
            $header->header_3_height = $yolo_giraffe_options['header_3_height'] . 'px';
        }


		if (isset($yolo_giraffe_options['header_4_nav_bg_color']) && !empty($yolo_giraffe_options['header_4_nav_bg_color'])) {
				$header->header_4_nav_bg_color = $yolo_giraffe_options['header_4_nav_bg_color'];
		}
        if (isset($yolo_giraffe_options['header_4_nav_text_color']) && !empty($yolo_giraffe_options['header_4_nav_text_color'])) {
            $header->header_4_nav_text_color = $yolo_giraffe_options['header_4_nav_text_color'];
        }
        if (isset($yolo_giraffe_options['header_4_height']) && !empty($yolo_giraffe_options['header_4_height'])) {
            $header->header_4_height = $yolo_giraffe_options['header_4_height'] . 'px';
        }


        if (isset($yolo_giraffe_options['headersidebar_nav_bg_color']) && !empty($yolo_giraffe_options['headersidebar_nav_bg_color'])) {
            $header->headersidebar_nav_bg_color = $yolo_giraffe_options['headersidebar_nav_bg_color'];
        }
        $header->headersidebar_nav_bg_color_lighten_10 = lighten($header->headersidebar_nav_bg_color, '10%');

        if (isset($yolo_giraffe_options['headersidebar_nav_text_color']) && !empty($yolo_giraffe_options['headersidebar_nav_text_color'])) {
            $header->headersidebar_nav_text_color = $yolo_giraffe_options['headersidebar_nav_text_color'];
        }

        $header->headersidebar_nav_text_color_fade_60 = fade($header->headersidebar_nav_text_color, '60%');
        $header->headersidebar_nav_text_color_fade_85 = fade($header->headersidebar_nav_text_color, '85%');

        if (isset($yolo_giraffe_options['headersidebar_sidebar_width']) && !empty($yolo_giraffe_options['headersidebar_sidebar_width'])) {
            $header->headersidebar_sidebar_width = $yolo_giraffe_options['headersidebar_sidebar_width'] . 'px';
        }

        // Set header nav layout
		$header->header_1_nav_layout_padding = (isset($yolo_giraffe_options['header_1_nav_layout_padding']) && $yolo_giraffe_options['header_1_nav_layout_padding'] != '') ? $yolo_giraffe_options['header_1_nav_layout_padding'] : '100';
        $header->header_1_nav_layout_padding .= 'px';

        $header->header_3_nav_layout_padding = (isset($yolo_giraffe_options['header_3_nav_layout_padding']) && $yolo_giraffe_options['header_3_nav_layout_padding'] != '') ? $yolo_giraffe_options['header_3_nav_layout_padding'] : '100';
        $header->header_3_nav_layout_padding .= 'px';


        $header->header_4_nav_layout_padding = (isset($yolo_giraffe_options['header_4_nav_layout_padding']) && $yolo_giraffe_options['header_4_nav_layout_padding'] != '') ? $yolo_giraffe_options['header_4_nav_layout_padding'] : '100';
        $header->header_4_nav_layout_padding .= 'px';

        $header->header_2_nav_layout_padding = (isset($yolo_giraffe_options['header_2_nav_layout_padding']) && $yolo_giraffe_options['header_2_nav_layout_padding'] != '') ? $yolo_giraffe_options['header_2_nav_layout_padding'] : '100';
        $header->header_2_nav_layout_padding .= 'px';

         // Set header navigation distance
        $header->header_1_nav_distance = (isset($yolo_giraffe_options['header_1_nav_distance']) && $yolo_giraffe_options['header_1_nav_distance'] != '') ? $yolo_giraffe_options['header_1_nav_distance'] : '30';
        $header->header_1_nav_distance .= 'px';

        $header->header_3_nav_distance = (isset($yolo_giraffe_options['header_3_nav_distance']) && $yolo_giraffe_options['header_3_nav_distance'] != '') ? $yolo_giraffe_options['header_3_nav_distance'] : '30';
        $header->header_3_nav_distance .= 'px';

        $header->header_4_nav_distance = (isset($yolo_giraffe_options['header_4_nav_distance']) && $yolo_giraffe_options['header_4_nav_distance'] != '') ? $yolo_giraffe_options['header_4_nav_distance'] : '30';
        $header->header_4_nav_distance .= 'px';

        $header->header_2_nav_distance = (isset($yolo_giraffe_options['header_2_nav_distance']) && $yolo_giraffe_options['header_2_nav_distance'] != '') ? $yolo_giraffe_options['header_2_nav_distance'] : '30';
        $header->header_2_nav_distance .= 'px';

        // Set top bar layout
		$header->top_bar_layout_padding = '100';

		$header->top_bar_layout_padding = isset($yolo_giraffe_options['top_bar_layout_padding']) ? $yolo_giraffe_options['top_bar_layout_padding'] : '100';
		if ($header->top_bar_layout_padding == '') {
			$header->top_bar_layout_padding = '100';
		}

		$header->top_bar_layout_padding .= 'px';

        // Sub menu
		$menu_sub_scheme = isset($yolo_giraffe_options['menu_sub_scheme']) ? $yolo_giraffe_options['menu_sub_scheme'] : 'light';
		switch ($menu_sub_scheme) {
			case 'customize':
				if (isset($yolo_giraffe_options['menu_sub_bg_color']) && ! empty($yolo_giraffe_options['menu_sub_bg_color'])) {
					$header->menu_sub_bg_color = $yolo_giraffe_options['menu_sub_bg_color'];
				}
				if (isset($yolo_giraffe_options['menu_sub_text_color']) && ! empty($yolo_giraffe_options['menu_sub_text_color'])) {
					$header->menu_sub_text_color = $yolo_giraffe_options['menu_sub_text_color'];
				}
				break;
			default:
				$header->menu_sub_bg_color = '#fff';
				$header->menu_sub_text_color = '#333';

				break;
		}

		$header->menu_sub_bg_color_darken_7 		= darken($header->menu_sub_bg_color, '7%');
		$header->menu_sub_bg_color_darken_15 		= darken($header->menu_sub_bg_color, '15%');
		$header->menu_sub_bg_color_lighten_7 		= lighten($header->menu_sub_bg_color, '7%');
		$header->menu_sub_bg_color_lighten_15 	= lighten($header->menu_sub_bg_color, '15%');

		// Get color for Mobile Menu
		$mobile_background_color = isset($yolo_giraffe_options['background_color_mobile']) && ! empty($yolo_giraffe_options['background_color_mobile']) ? $yolo_giraffe_options['background_color_mobile'] : '#333';
		$mobile_text_color = isset($yolo_giraffe_options['text_color_mobile']) && ! empty($yolo_giraffe_options['text_color_mobile']) ? $yolo_giraffe_options['text_color_mobile'] : '#fff';
		$mobile_page_title_height = isset($yolo_giraffe_options['page_title_mobile_height']['height']) && ! empty($yolo_giraffe_options['page_title_mobile_height']['height']) ? $yolo_giraffe_options['page_title_mobile_height']['height']: '140px';

		$mobile_text_color_fade_60 = fade($mobile_text_color, '60%');

		// Set default color for page
		$top_bar_bg_color   = '#F9F9F9';
		$top_bar_text_color = '#878787';
		$top_bar_bg_color_opacity = 100;

		if (isset($yolo_giraffe_options['top_bar_bg_color']) && ! empty($yolo_giraffe_options['top_bar_bg_color'])) {
				$top_bar_bg_color = $yolo_giraffe_options['top_bar_bg_color'];
		}

		if (isset($yolo_giraffe_options['top_bar_text_color']) && ! empty($yolo_giraffe_options['top_bar_text_color'])) {
			$top_bar_text_color = $yolo_giraffe_options['top_bar_text_color'];
		}

		// For body custom background
		$custom_css           = '';
		$background_image_css = '';

		$body_background_mode = $yolo_giraffe_options['body_background_mode'];
		
		if ($body_background_mode == 'background') {
			$background_image_url = isset($yolo_giraffe_options['body_background']['background-image']) ? $yolo_giraffe_options['body_background']['background-image'] : '';
			$background_color     = isset($yolo_giraffe_options['body_background']['background-color']) ? $yolo_giraffe_options['body_background']['background-color'] : '';

			if (!empty($background_color)) {
				$background_image_css .= 'background-color:' . $background_color . ';';
			}

			if (!empty($background_image_url)) {
				$background_repeat     = isset($yolo_giraffe_options['body_background']['background-repeat']) ? $yolo_giraffe_options['body_background']['background-repeat'] : '';
				$background_position   = isset($yolo_giraffe_options['body_background']['background-position']) ? $yolo_giraffe_options['body_background']['background-position'] : '';
				$background_size       = isset($yolo_giraffe_options['body_background']['background-size']) ? $yolo_giraffe_options['body_background']['background-size'] : '';
				$background_attachment = isset($yolo_giraffe_options['body_background']['background-attachment']) ? $yolo_giraffe_options['body_background']['background-attachment'] : '';
				
				$background_image_css  .= 'background-image: url("'. $background_image_url .'");';


				if (!empty($background_repeat)) {
					$background_image_css .= 'background-repeat: '. $background_repeat .';';
				}

				if (!empty($background_position)) {
					$background_image_css .= 'background-position: '. $background_position .';';
				}

				if (!empty($background_size)) {
					$background_image_css .= 'background-size: '. $background_size .';';
				}

				if (!empty($background_attachment)) {
					$background_image_css .= 'background-attachment: '. $background_attachment .';';
				}
			}

		}

		if ($body_background_mode == 'pattern') {
			$background_image_url =  get_template_directory_uri() . '/assets/images/theme-options/' . $yolo_giraffe_options['body_background_pattern'];
			$background_image_css .= 'background-image: url("'. $background_image_url .'");';
			$background_image_css .= 'background-repeat: repeat;';
			$background_image_css .= 'background-position: center center;';
			$background_image_css .= 'background-size: auto;';
			$background_image_css .= 'background-attachment: scroll;';
		}

?>	
<?php if (!empty($background_image_css)) { ?>
	body{ <?php echo esc_attr($background_image_css); ?> }
<?php } ?>
@supports(--css:variables){
	:root{

		--h1_font_size: 				<?php echo esc_attr($font->h1_font_size); ?>
		--h2_font_size: 				<?php echo esc_attr($font->h2_font_size); ?>
		--h3_font_size: 				<?php echo esc_attr($font->h3_font_size); ?>
		--h4_font_size: 				<?php echo esc_attr($font->h4_font_size); ?>

	    --layout_site_width: 			<?php echo esc_attr($layout_site_width); ?>;
	    --layout_site_max_width: 		<?php echo esc_attr($layout_site_max_width); ?>;

	    --text_color: 				<?php echo esc_attr($text_color); ?>;

	    --text_color_lighten_5: 	<?php echo esc_attr($text_color_lighten_5); ?>;
	    --text_color_lighten_10: 	<?php echo esc_attr($text_color_lighten_10); ?>;
	    --text_color_lighten_15: 	<?php echo esc_attr($text_color_lighten_15); ?>;
	    --text_color_lighten_20: 	<?php echo esc_attr($text_color_lighten_20); ?>;
	    --text_color_lighten_25: 	<?php echo esc_attr($text_color_lighten_25); ?>;
	    --text_color_lighten_30: 	<?php echo esc_attr($text_color_lighten_30); ?>;
	    --text_color_lighten_35: 	<?php echo esc_attr($text_color_lighten_35); ?>;
	    --text_color_lighten_40: 	<?php echo esc_attr($text_color_lighten_40); ?>;
	    --text_color_lighten_50: 	<?php echo esc_attr($text_color_lighten_50); ?>;
	    --text_color_lighten_60: 	<?php echo esc_attr($text_color_lighten_60); ?>;
	    --text_color_lighten_70: 	<?php echo esc_attr($text_color_lighten_70); ?>;

	   	--text_color_darken_5: 		<?php echo esc_attr($text_color_darken_5); ?>;
	    --text_color_darken_10: 	<?php echo esc_attr($text_color_darken_10); ?>;
	    --text_color_darken_15: 	<?php echo esc_attr($text_color_darken_15); ?>;
	    --text_color_darken_20: 	<?php echo esc_attr($text_color_darken_20); ?>;
	    --text_color_darken_25: 	<?php echo esc_attr($text_color_darken_25); ?>;
		
		--text_color_fade_10: 	<?php echo esc_attr($text_color_fade_10); ?>;
		--text_color_fade_20: 	<?php echo esc_attr($text_color_fade_20); ?>;
		--text_color_fade_30: 	<?php echo esc_attr($text_color_fade_30); ?>;
		--text_color_fade_40: 	<?php echo esc_attr($text_color_fade_40); ?>;
		--text_color_fade_50: 	<?php echo esc_attr($text_color_fade_50); ?>;
		--text_color_fade_60: 	<?php echo esc_attr($text_color_fade_60); ?>;
		--text_color_fade_70: 	<?php echo esc_attr($text_color_fade_70); ?>;
		--text_color_fade_80: 	<?php echo esc_attr($text_color_fade_80); ?>;
		--text_color_fade_90: 	<?php echo esc_attr($text_color_fade_90); ?>;

	    --primary_color: 			<?php echo esc_attr($primary_color); ?>;

	    --primary_color_lighten_5: 		<?php echo esc_attr($primary_color_lighten_5); ?>;
	    --primary_color_lighten_10: 	<?php echo esc_attr($primary_color_lighten_10); ?>;
	    --primary_color_lighten_15: 	<?php echo esc_attr($primary_color_lighten_15); ?>;
	    --primary_color_lighten_20: 	<?php echo esc_attr($primary_color_lighten_20); ?>;
	    --primary_color_lighten_25: 	<?php echo esc_attr($primary_color_lighten_25); ?>;

	   	--primary_color_darken_5: 	<?php echo esc_attr($primary_color_darken_5); ?>;
	    --primary_color_darken_10: 	<?php echo esc_attr($primary_color_darken_10); ?>;
	    --primary_color_darken_15: 	<?php echo esc_attr($primary_color_darken_15); ?>;
	    --primary_color_darken_20: 	<?php echo esc_attr($primary_color_darken_20); ?>;
	    --primary_color_darken_25: 	<?php echo esc_attr($primary_color_darken_25); ?>;
		
		--primary_color_fade_10: 	<?php echo esc_attr($primary_color_fade_10); ?>;
		--primary_color_fade_20: 	<?php echo esc_attr($primary_color_fade_20); ?>;
		--primary_color_fade_30: 	<?php echo esc_attr($primary_color_fade_30); ?>;
		--primary_color_fade_40: 	<?php echo esc_attr($primary_color_fade_40); ?>;
		--primary_color_fade_50: 	<?php echo esc_attr($primary_color_fade_50); ?>;
		--primary_color_fade_60: 	<?php echo esc_attr($primary_color_fade_60); ?>;
		--primary_color_fade_70: 	<?php echo esc_attr($primary_color_fade_70); ?>;
		--primary_color_fade_80: 	<?php echo esc_attr($primary_color_fade_80); ?>;
		--primary_color_fade_90: 	<?php echo esc_attr($primary_color_fade_90); ?>;

	    --heading_color: 	<?php echo esc_attr($heading_color); ?>;
	    --secondary_color: 	<?php echo esc_attr($secondary_color); ?>;

	    --heading_color_lighten_20: 	<?php echo esc_attr($heading_color_lighten_20); ?>;

	    --heading_color_fade_10: 	<?php echo esc_attr($heading_color_fade_10); ?>;
		--heading_color_fade_20: 	<?php echo esc_attr($heading_color_fade_20); ?>;
		--heading_color_fade_30: 	<?php echo esc_attr($heading_color_fade_30); ?>;
		--heading_color_fade_40: 	<?php echo esc_attr($heading_color_fade_40); ?>;
		--heading_color_fade_50: 	<?php echo esc_attr($heading_color_fade_50); ?>;
		--heading_color_fade_60: 	<?php echo esc_attr($heading_color_fade_60); ?>;
		--heading_color_fade_70: 	<?php echo esc_attr($heading_color_fade_70); ?>;
		--heading_color_fade_80: 	<?php echo esc_attr($heading_color_fade_80); ?>;
		--heading_color_fade_90: 	<?php echo esc_attr($heading_color_fade_90); ?>;

	    --menu_font: 				<?php echo esc_attr($fonts->menu_font_family); ?>;
	    --menu_font_weight: 		<?php echo esc_attr($fonts->menu_font_weight); ?>;
	    --menu_font_size: 			<?php echo esc_attr($fonts->menu_font_size); ?>;

	    --secondary_font: 			<?php echo esc_attr($fonts->secondary_font_family); ?>;
	    --secondary_font_weight: 	<?php echo esc_attr($fonts->secondary_font_weight); ?>;
	    --secondary_font_size: 		<?php echo esc_attr($fonts->secondary_font_size); ?>;

	    --third_font: 			<?php echo esc_attr($fonts->third_font_family); ?>;
	    --third_font_weight: 	<?php echo esc_attr($fonts->third_font_weight); ?>;
	    --third_font_size: 		<?php echo esc_attr($fonts->third_font_size); ?>;

	    --primary_font: 			<?php echo esc_attr($fonts->primary_font_family); ?>;
	    --primary_font_weight: 		<?php echo esc_attr($fonts->primary_font_weight); ?>;
	    --primary_font_size: 		<?php echo esc_attr($fonts->primary_font_size); ?>;

	    --page_title_bg_color: 			<?php echo esc_attr($page_title_bg_color); ?>;
	    --page_title_overlay_color: 	<?php echo esc_attr($page_title_overlay_color); ?>;
	    --page_title_overlay_opacity: 	<?php echo esc_attr($page_title_overlay_opacity); ?>;
	    --page_title_color: 			<?php echo esc_attr($page_title_color); ?>;
	    --page_title_margin_top: 		<?php echo esc_attr($page_title_margin_top); ?>;
	    --page_title_margin_bottom: 	<?php echo esc_attr($page_title_margin_bottom); ?>;
	    --page_title_height: 			<?php echo esc_attr($page_title_height); ?>;

	    --main_menu_height: 	<?php echo esc_attr($logo->main_menu_height); ?>;

	    --logo_mobile_padding: 		<?php echo esc_attr($logo_mobile_padding); ?>;
	    --main_menu_mobile_height: 	<?php echo esc_attr($main_menu_mobile_height); ?>;
	
		--header_1_nav_layout_padding: 	<?php echo esc_attr($header->header_1_nav_layout_padding); ?>;
		--header_3_nav_layout_padding: 	<?php echo esc_attr($header->header_3_nav_layout_padding); ?>;
		--header_4_nav_layout_padding: 	<?php echo esc_attr($header->header_4_nav_layout_padding); ?>;
		--header_2_nav_layout_padding: 	<?php echo esc_attr($header->header_2_nav_layout_padding); ?>;

		--header_1_nav_distance: 	<?php echo esc_attr($header->header_1_nav_distance); ?>;
		--header_3_nav_distance: 	<?php echo esc_attr($header->header_3_nav_distance); ?>;
		--header_4_nav_distance: 	<?php echo esc_attr($header->header_4_nav_distance); ?>;
		--header_2_nav_distance: 	<?php echo esc_attr($header->header_2_nav_distance); ?>;

		--top_bar_bg_color: 		<?php echo esc_attr($top_bar_bg_color); ?>;
		--top_bar_text_color: 		<?php echo esc_attr($top_bar_text_color); ?>;
		--top_bar_layout_padding: 	<?php echo esc_attr($header->top_bar_layout_padding); ?>;

		--logo_padding_top: 	<?php echo esc_attr($logo->logo_padding_top); ?>;
		--logo_padding_bottom: 	<?php echo esc_attr($logo->logo_padding_bottom); ?>;

		--menu_sub_bg_color: 	<?php echo esc_attr($header->menu_sub_bg_color); ?>;
		--menu_sub_bg_color_darken_7: 		<?php echo esc_attr($header->menu_sub_bg_color_darken_7); ?>;
		--menu_sub_bg_color_darken_15: 		<?php echo esc_attr($header->menu_sub_bg_color_darken_15); ?>;
		--menu_sub_bg_color_lighten_7: 		<?php echo esc_attr($header->menu_sub_bg_color_lighten_7); ?>;
		--menu_sub_bg_color_lighten_15: 	<?php echo esc_attr($header->menu_sub_bg_color_lighten_15); ?>;
		--menu_sub_text_color: 	<?php echo esc_attr($header->menu_sub_text_color); ?>;

		--header_1_nav_bg_color: 		<?php echo esc_attr($header->header_1_nav_bg_color); ?>;
		--header_1_nav_text_color: 		<?php echo esc_attr($header->header_1_nav_text_color); ?>;
		--header_1_height: 			<?php echo esc_attr($header->header_1_height); ?>;

		--header_3_nav_bg_color: 	<?php echo esc_attr($header->header_3_nav_bg_color); ?>;
		--header_3_nav_text_color: 	<?php echo esc_attr($header->header_3_nav_text_color); ?>;
		--header_3_height: 			<?php echo esc_attr($header->header_3_height); ?>;

		--header_4_nav_bg_color: 	<?php echo esc_attr($header->header_4_nav_bg_color); ?>;
		--header_4_nav_text_color: 	<?php echo esc_attr($header->header_4_nav_text_color); ?>;
		--header_4_height: 			<?php echo esc_attr($header->header_4_height); ?>;
	
		--header_2_nav_bg_color: 	<?php echo esc_attr($header->header_2_nav_bg_color); ?>;
		--header_2_nav_text_color: 	<?php echo esc_attr($header->header_2_nav_text_color); ?>;
		--header_2_height: 			<?php echo esc_attr($header->header_2_height); ?>;

		--mobile_background_color: 		<?php echo esc_attr($mobile_background_color); ?>;
		--mobile_text_color: 				<?php echo esc_attr($mobile_text_color); ?>;
		--mobile_text_color_fade_60: 		<?php echo esc_attr($mobile_text_color_fade_60); ?>;

		--mobile_page_title_height: 	<?php echo esc_attr($mobile_page_title_height); ?>;

		--headersidebar_nav_bg_color: 		<?php echo esc_attr($header->headersidebar_nav_bg_color); ?>;
		--headersidebar_nav_bg_color_lighten_10: 		<?php echo esc_attr($header->headersidebar_nav_bg_color_lighten_10); ?>;

		--headersidebar_nav_text_color: 	<?php echo esc_attr($header->headersidebar_nav_text_color); ?>;
		--headersidebar_nav_text_color_fade_60: 	<?php echo esc_attr($header->headersidebar_nav_text_color_fade_60); ?>;
		--headersidebar_nav_text_color_fade_85: 	<?php echo esc_attr($header->headersidebar_nav_text_color_fade_85); ?>;

		--headersidebar_sidebar_width: 		<?php echo esc_attr($header->headersidebar_sidebar_width); ?>;

	}
}