<?php
/**
 *
 * @package    YoloTheme
 * @version    1.0.0
 * @created    24/12/2015
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2015, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://yolotheme.com
 */

global $yolo_header_customize_current,$yolo_giraffe_options;
$yolo_header_layout    = yolo_get_header_layout();
$prefix                = 'yolo_';
$header_social_profile = array();


switch ($yolo_header_customize_current) {
    case 'nav':
        if ('header-1' == $yolo_header_layout) {
            $header_social_profile = isset($yolo_giraffe_options['header_1_customize_nav_social_profile']) && is_array($yolo_giraffe_options['header_1_customize_nav_social_profile'])
            ? $yolo_giraffe_options['header_1_customize_nav_social_profile'] : array();
        }

        if ('header-2' == $yolo_header_layout) {
            $header_social_profile = isset($yolo_giraffe_options['header_2_customize_nav_social_profile']) && is_array($yolo_giraffe_options['header_2_customize_nav_social_profile'])
            ? $yolo_giraffe_options['header_2_customize_nav_social_profile'] : array();
        }

        if ('header-3' == $yolo_header_layout) {
            $header_social_profile = isset($yolo_giraffe_options['header_3_customize_nav_social_profile']) && is_array($yolo_giraffe_options['header_3_customize_nav_social_profile'])
            ? $yolo_giraffe_options['header_3_customize_nav_social_profile'] : array();
        }

        break;
    case 'left':
        if ('header-2' == $yolo_header_layout) {
            $header_social_profile = isset($yolo_giraffe_options['header_2_customize_right_social_profile']) && is_array($yolo_giraffe_options['header_2_customize_right_social_profile'])
            ? $yolo_giraffe_options['header_2_customize_right_social_profile'] : array();
        }

        break;
    case 'right':
        if ('header-1' == $yolo_header_layout) {
            $header_social_profile = isset($yolo_giraffe_options['header_1_customize_right_social_profile']) && is_array($yolo_giraffe_options['header_1_customize_right_social_profile'])
            ? $yolo_giraffe_options['header_1_customize_right_social_profile'] : array();
        }

        if ('header-2' == $yolo_header_layout) {
            $header_social_profile = isset($yolo_giraffe_options['header_2_customize_right_social_profile']) && is_array($yolo_giraffe_options['header_2_customize_right_social_profile'])
            ? $yolo_giraffe_options['header_2_customize_right_social_profile'] : array();
        }

        if ('header-4' == $yolo_header_layout) {
            $header_social_profile = isset($yolo_giraffe_options['header_4_customize_right_social_profile']) && is_array($yolo_giraffe_options['header_4_customize_right_social_profile'])
            ? $yolo_giraffe_options['header_4_customize_right_social_profile'] : array();
        }

        break;
}

$twitter = '';
if (isset($yolo_giraffe_options['twitter_url'])) {
    $twitter = $yolo_giraffe_options['twitter_url'];
}

$facebook = '';
if (isset($yolo_giraffe_options['facebook_url'])) {
    $facebook = $yolo_giraffe_options['facebook_url'];
}

$dribbble = '';
if (isset($yolo_giraffe_options['dribbble_url'])) {
    $dribbble = $yolo_giraffe_options['dribbble_url'];
}

$vimeo = '';
if (isset($yolo_giraffe_options['vimeo_url'])) {
    $vimeo = $yolo_giraffe_options['vimeo_url'];
}

$tumblr = '';
if (isset($yolo_giraffe_options['tumblr_url'])) {
    $tumblr = $yolo_giraffe_options['tumblr_url'];
}

$skype = $yolo_giraffe_options['skype_username'];
if (isset($yolo_giraffe_options['skype_username'])) {
    $skype = $yolo_giraffe_options['skype_username'];
}

$linkedin = '';
if (isset($yolo_giraffe_options['linkedin_url'])) {
    $linkedin = $yolo_giraffe_options['linkedin_url'];
}

$googleplus = '';
if (isset($yolo_giraffe_options['googleplus_url'])) {
    $googleplus = $yolo_giraffe_options['googleplus_url'];
}

$flickr = '';
if (isset($yolo_giraffe_options['flickr_url'])) {
    $flickr = $yolo_giraffe_options['flickr_url'];
}

$youtube = '';
if (isset($yolo_giraffe_options['youtube_url'])) {
    $youtube = $yolo_giraffe_options['youtube_url'];
}

$pinterest = '';
if (isset($yolo_giraffe_options['pinterest_url'])) {
    $pinterest = $yolo_giraffe_options['pinterest_url'];
}

$foursquare = $yolo_giraffe_options['foursquare_url'];
if (isset($yolo_giraffe_options['foursquare_url'])) {
    $foursquare = $yolo_giraffe_options['foursquare_url'];
}

$instagram = '';
if (isset($yolo_giraffe_options['instagram_url'])) {
    $instagram = $yolo_giraffe_options['instagram_url'];
}

$github = '';
if (isset($yolo_giraffe_options['github_url'])) {
    $github = $yolo_giraffe_options['github_url'];
}

$xing = $yolo_giraffe_options['xing_url'];
if (isset($yolo_giraffe_options['xing_url'])) {
    $xing = $yolo_giraffe_options['xing_url'];
}

$rss = '';
if (isset($yolo_giraffe_options['rss_url'])) {
    $rss = $yolo_giraffe_options['rss_url'];
}

$behance = '';
if (isset($yolo_giraffe_options['behance_url'])) {
    $behance = $yolo_giraffe_options['behance_url'];
}

$soundcloud = '';
if (isset($yolo_giraffe_options['soundcloud_url'])) {
    $soundcloud = $yolo_giraffe_options['soundcloud_url'];
}

$deviantart = '';
if (isset($yolo_giraffe_options['deviantart_url'])) {
    $deviantart = $yolo_giraffe_options['deviantart_url'];
}

$yelp = "";
if (isset($yolo_giraffe_options['yelp_url'])) {
    $yelp = $yolo_giraffe_options['yelp_url'];
}

$email = "";
if (isset($yolo_giraffe_options['email_address'])) {
    $email = $yolo_giraffe_options['email_address'];
}

$social_icons = '';

if (($header_social_profile == array()) || (empty($header_social_profile))) {
    if ($twitter) {
        $social_icons .= '<li><a href="' . esc_url($twitter) . '"><i class="fab fa-twitter"></i></a></li>' . "\n";
    }
    if ($facebook) {
        $social_icons .= '<li><a href="' . esc_url($facebook) . '"><i class="fab fa-facebook-f"></i></a></li>' . "\n";
    }
    if ($dribbble) {
        $social_icons .= '<li><a href="' . esc_url($dribbble) . '"><i class="fab fa-dribbble"></i></a></li>' . "\n";
    }
    if ($youtube) {
        $social_icons .= '<li><a href="' . esc_url($youtube) . '"><i class="fab fa-youtube"></i></a></li>' . "\n";
    }
    if ($vimeo) {
        $social_icons .= '<li><a href="' . esc_url($vimeo) . '"><i class="fab fa-vimeo-v"></i></a></li>' . "\n";
    }
    if ($tumblr) {
        $social_icons .= '<li><a href="' . esc_url($tumblr) . '"><i class="fab fa-tumblr"></i></a></li>' . "\n";
    }
    if ($skype) {
        $social_icons .= '<li><a href="skype:' . esc_attr($skype) . '"><i class="fab fa-skype"></i></a></li>' . "\n";
    }
    if ($linkedin) {
        $social_icons .= '<li><a href="' . esc_url($linkedin) . '"><i class="fab fa-linkedin-in"></i></a></li>' . "\n";
    }
    if ($googleplus) {
        $social_icons .= '<li><a href="' . esc_url($googleplus) . '"><i class="fab fa-google-plus-g"></i></a></li>' . "\n";
    }
    if ($flickr) {
        $social_icons .= '<li><a href="' . esc_url($flickr) . '"><i class="fab fa-flickr"></i></a></li>' . "\n";
    }
    if ($pinterest) {
        $social_icons .= '<li><a href="' . esc_url($pinterest) . '"><i class="fab fa-pinterest-p"></i></a></li>' . "\n";
    }
    if ($foursquare) {
        $social_icons .= '<li><a href="' . esc_url($foursquare) . '"><i class="fab fa-foursquare"></i></a></li>' . "\n";
    }
    if ($instagram) {
        $social_icons .= '<li><a href="' . esc_url($instagram) . '"><i class="fab fa-instagram"></i></a></li>' . "\n";
    }
    if ($github) {
        $social_icons .= '<li><a href="' . esc_url($github) . '"><i class="fab fa-github"></i></a></li>' . "\n";
    }
    if ($xing) {
        $social_icons .= '<li><a href="' . esc_url($xing) . '"><i class="fab fa-xing"></i></a></li>' . "\n";
    }
    if ($behance) {
        $social_icons .= '<li><a href="' . esc_url($behance) . '"><i class="fab fa-behance"></i></a></li>' . "\n";
    }
    if ($deviantart) {
        $social_icons .= '<li><a href="' . esc_url($deviantart) . '"><i class="fab fa-deviantart"></i></a></li>' . "\n";
    }
    if ($soundcloud) {
        $social_icons .= '<li><a href="' . esc_url($soundcloud) . '"><i class="fab fa-soundcloud"></i></a></li>' . "\n";
    }
    if ($yelp) {
        $social_icons .= '<li><a href="' . esc_url($yelp) . '"><i class="fab fa-yelp"></i></a></li>' . "\n";
    }
    if ($rss) {
        $social_icons .= '<li><a href="' . esc_url($rss) . '"><i class="fas fa-rss"></i></a></li>' . "\n";
    }
    if ($email) {
        $social_icons .= '<li><a href="mailto:' . esc_attr($email) . '"><i class="fab fa-vk"></i></a></li>' . "\n";
    }
} else {
    if (empty($twitter)) {$twitter = '#';}
    if (empty($facebook)) {$facebook = '#';}
    if (empty($dribbble)) {$dribbble = '#';}
    if (empty($youtube)) {$youtube = '#';}
    if (empty($vimeo)) {$vimeo = '#';}
    if (empty($tumblr)) {$tumblr = '#';}
    if (empty($skype)) {$skype = '#';}
    if (empty($linkedin)) {$linkedin = '#';}
    if (empty($googleplus)) {$googleplus = '#';}
    if (empty($flickr)) {$flickr = '#';}
    if (empty($pinterest)) {$pinterest = '#';}
    if (empty($foursquare)) {$foursquare = '#';}
    if (empty($instagram)) {$instagram = '#';}
    if (empty($github)) {$github = '#';}
    if (empty($xing)) {$xing = '#';}
    if (empty($behance)) {$behance = '#';}
    if (empty($deviantart)) {$deviantart = '#';}
    if (empty($soundcloud)) {$soundcloud = '#';}
    if (empty($yelp)) {$yelp = '#';}
    if (empty($rss)) {$rss = '#';}
    if (empty($email)) {$email = '#';}

    foreach ($header_social_profile as $id) {
        if (($id == 'twitter') && $twitter) {
            $social_icons .= '<li><a href="' . esc_url($twitter) . '"><i class="fab fa-twitter"></i></a></li>' . "\n";
        }
        if (($id == 'facebook') && $facebook) {
            $social_icons .= '<li><a href="' . esc_url($facebook) . '"><i class="fab fa-facebook-f"></i></a></li>' . "\n";
        }
        if (($id == 'dribbble') && $dribbble) {
            $social_icons .= '<li><a href="' . esc_url($dribbble) . '"><i class="fab fa-dribbble"></i></a></li>' . "\n";
        }
        if (($id == 'youtube') && $youtube) {
            $social_icons .= '<li><a href="' . esc_url($youtube) . '"><i class="fab fa-youtube"></i></a></li>' . "\n";
        }
        if (($id == 'vimeo') && $vimeo) {
            $social_icons .= '<li><a href="' . esc_url($vimeo) . '"><i class="fab fa-vimeo-v"></i></a></li>' . "\n";
        }
        if (($id == 'tumblr') && $tumblr) {
            $social_icons .= '<li><a href="' . esc_url($tumblr) . '"><i class="fab fa-tumblr"></i></a></li>' . "\n";
        }
        if (($id == 'skype') && $skype) {
            $social_icons .= '<li><a href="skype:' . esc_attr($skype) . '"><i class="fab fa-skype"></i></a></li>' . "\n";
        }
        if (($id == 'linkedin') && $linkedin) {
            $social_icons .= '<li><a href="' . esc_url($linkedin) . '"><i class="fab fa-linkedin-in"></i></a></li>' . "\n";
        }
        if (($id == 'googleplus') && $googleplus) {
            $social_icons .= '<li><a href="' . esc_url($googleplus) . '"><i class="fab fa-google-plus-g"></i></a></li>' . "\n";
        }
        if (($id == 'flickr') && $flickr) {
            $social_icons .= '<li><a href="' . esc_url($flickr) . '"><i class="fab fa-flickr"></i></a></li>' . "\n";
        }
        if (($id == 'pinterest') && $pinterest) {
            $social_icons .= '<li><a href="' . esc_url($pinterest) . '"><i class="fab fa-pinterest-p"></i></a></li>' . "\n";
        }
        if (($id == 'foursquare') && $foursquare) {
            $social_icons .= '<li><a href="' . esc_url($foursquare) . '"><i class="fab fa-foursquare"></i></a></li>' . "\n";
        }
        if (($id == 'instagram') && $instagram) {
            $social_icons .= '<li><a href="' . esc_url($instagram) . '"><i class="fab fa-instagram"></i></a></li>' . "\n";
        }
        if (($id == 'github') && $github) {
            $social_icons .= '<li><a href="' . esc_url($github) . '"><i class="fab fa-github"></i></a></li>' . "\n";
        }
        if (($id == 'xing') && $xing) {
            $social_icons .= '<li><a href="' . esc_url($xing) . '"><i class="fab fa-xing"></i></a></li>' . "\n";
        }
        if (($id == 'behance') && $behance) {
            $social_icons .= '<li><a href="' . esc_url($behance) . '"><i class="fab fa-behance"></i></a></li>' . "\n";
        }
        if (($id == 'deviantart') && $deviantart) {
            $social_icons .= '<li><a href="' . esc_url($deviantart) . '"><i class="fab fa-deviantart"></i></a></li>' . "\n";
        }
        if (($id == 'soundcloud') && $soundcloud) {
            $social_icons .= '<li><a href="' . esc_url($soundcloud) . '"><i class="fab fa-soundcloud"></i></a></li>' . "\n";
        }
        if (($id == 'yelp') && $yelp) {
            $social_icons .= '<li><a href="' . esc_url($yelp) . '"><i class="fab fa-yelp"></i></a></li>' . "\n";
        }
        if (($id == 'rss') && $rss) {
            $social_icons .= '<li><a href="' . esc_url($rss) . '"><i class="fas fa-rss"></i></a></li>' . "\n";
        }
        if (($id == 'email') && $email) {
            $social_icons .= '<li><a href="mailto:' . esc_attr($email) . '"><i class="fab fa-vk"></i></a></li>' . "\n";
        }

    }
}
if (empty($social_icons)) {
    return;
}
?>
<ul class="header-customize-item header-social-profile-wrapper">
    <?php echo wp_kses_post($social_icons); ?>
</ul>