<?php
/**
 * Product Loop Start
 *
 * @author        WooThemes
 * @package    WooCommerce/Templates
 * @version     3.3.0
 */
global $woocommerce_loop, $yolo_woocommerce_loop;

$columns = $yolo_woocommerce_loop['columns'];
if (!isset($columns) || empty($columns)) {
    $columns = $woocommerce_loop['columns'];
}
$archive_product_related = isset($yolo_woocommerce_loop['layout']) ? $yolo_woocommerce_loop['layout'] : ''; // Use this for related product slider
$archive_product_display = isset($yolo_woocommerce_loop['archive_product_display']) ? $yolo_woocommerce_loop['archive_product_display'] : 'yolo-grid';
$class = array();

if (($archive_product_related == 'slider')) { // Fix related products slider
    $class[] = 'woocommerce slider clearfix';
} elseif ($archive_product_display == 'list') {
    $class[] = 'woocommerce list product-listing clearfix';
} else {
    $class[] = 'woocommerce grid product-listing clearfix';
}
$masonry = isset($yolo_woocommerce_loop['masonry']) ? $yolo_woocommerce_loop['masonry'] : '';

if ($archive_product_related != 'slider' && $archive_product_display == 'grid') {
    $class[] = 'columns-' . $columns;
}
$class_names = join(' ', $class);

if ($archive_product_related == 'slider') {
    $data_plugin_options = $columns;
}
?>
<div class="<?php echo esc_attr($class_names); ?>">
    <?php if ($archive_product_related == 'slider') :
    $rtl = '';
    if (is_rtl()) $rtl = 'true';
    ?>
        <div class="owl-carousel" data-plugin-options='<?php echo wp_kses_post($data_plugin_options); ?>' data-loop=""
         data-rtl="<?php echo esc_attr($rtl); ?>">

    <?php endif; ?>