<?php
/**
 *
 * @package    YoloTheme
 * @version    1.0.0
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2015, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://yolotheme.com
 */

global $yolo_header_customize_current,$yolo_giraffe_options;
$yolo_header_layout    = yolo_get_header_layout();
$prefix                = 'yolo_';
$header_customize_text = '';
switch ($yolo_header_customize_current) {
    case 'nav':
        if ('header-1' == $yolo_header_layout) {
            $header_customize_text = $yolo_giraffe_options['header_1_customize_nav_text'];
        }
        if ('header-3' == $yolo_header_layout) {
            $header_customize_text = $yolo_giraffe_options['header_3_customize_nav_text'];
        }
        break;

    case 'left':
        break;
        
    case 'right':
        if ('header-1' == $yolo_header_layout) {
            $header_customize_text = $yolo_giraffe_options['header_1_customize_right_text'];
        }
        if ('header-3' == $yolo_header_layout) {
            $header_customize_text = $yolo_giraffe_options['header_3_customize_right_text'];
        }
        break;
}
?>
<?php if (!empty($header_customize_text)): ?>
	<div class="custom-text-wrapper header-customize-item">
		<?php echo wp_kses_post($header_customize_text); ?>
	</div>
<?php endif;?>