<?php
/**
 *
 * @package    YoloTheme
 * @version    1.0.0
 * @created    25/12/2015
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2015, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://yolotheme.com
 */

global $yolo_giraffe_options;
$show_author_info = isset($yolo_giraffe_options['show_author_info']) ? $yolo_giraffe_options['show_author_info'] : 0;
$author_description = get_the_author_meta('description');
if ($show_author_info == 0) {
    return;
} else
?>
<div class="author-info clearfix">
    <div class="author-info-wrap">
        <div class="author-avatar">
            <?php
            $author_avatar_size = apply_filters('yolo_framework_author_avatar_size', 90);
            echo get_avatar(get_the_author_meta('user_email'), $author_avatar_size);
            ?>
        </div>
        <div class="author-description">
            <h3 class="author-title"><?php the_author_posts_link(); ?></h3>
            <?php if (!empty(the_author_meta('description'))): ?>
                <p class="author-bio"><?php the_author_meta('description'); ?></p>
            <?php endif; ?>
        </div>
    </div>
</div>