<?php
/**
 *  
 * @package    YoloTheme
 * @version    1.0.0
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2016, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://yolotheme.com
*/
$comments = get_comments_number();
?>
<div class="single-post-entry-meta">
    <div class="entry-meta-info">


        <span class="entry-meta-date">
            <?php echo get_the_date(get_option('date_format'));?>
        </span>

        <span class="entry-meta-author">
            <i class="far fa-user"></i> <?php printf('<a href="%1$s">%2$s</a>',esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),esc_html( get_the_author() )); ?>
        </span>

        <?php if ( comments_open() || get_comments_number() ) : ?>
            <span class="entry-meta-comment">
                <?php comments_popup_link( wp_kses_post(__('<i class="far fa-comments"></i> 0','yolo-giraffe')),wp_kses_post(__('<i class="far fa-comments"></i> 1 ','yolo-giraffe')), wp_kses_post(__('<i class="far fa-comments"></i> % ','yolo-giraffe'))); ?>
            </span>
        <?php endif; ?>

    </div>
</div>