<?php
/**
 *  
 * @package    YoloTheme
 * @version    1.0.0
 * @created    25/12/2015
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2015, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://yolotheme.com
*/

// Don't print empty markup if there's nowhere to navigate.
$previous = (is_attachment()) ? get_post(get_post()->post_parent) : get_adjacent_post(false, '', true);
$next     = get_adjacent_post(false, '', false);
if (!$next && !$previous) {
    return;
}
global $yolo_giraffe_options;
$show_post_navigation = isset($yolo_giraffe_options['show_post_navigation'])? $yolo_giraffe_options['show_post_navigation'] : true;
if ($show_post_navigation == 0) {
    return;
}
?>
<nav class="post-navigation clearfix" role="navigation">
		<span class="nav-wrap nav-left"><?php
	        previous_post_link('%link', yolo_kses('<i class="fa fa-angle-double-left"></i><span class="nav-label">Prev</span><span class="nav-title">%title</span>', 'yolo-giraffe'));
	        ?></span>
		<div class='devider'></div>
		<span class="nav-wrap nav-right"><?php next_post_link('%link', yolo_kses('<span class="nav-label">Next</span><span class="nav-title">%title</span><i class="fa fa-angle-double-right"></i>', 'yolo-giraffe'));
			?></span>
</nav><!-- .navigation -->