<?php
/**
 * Cross-sells
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
global $yolo_woocommerce_loop,$yolo_giraffe_options;
$related_product_display_columns = isset($yolo_giraffe_options['related_product_display_columns']) ? $yolo_giraffe_options['related_product_display_columns'] : 4;
$yolo_woocommerce_loop['rating'] = 0;
$yolo_woocommerce_loop['columns'] = $related_product_display_columns;
$yolo_woocommerce_loop['layout'] = 'slider';

if ( $cross_sells ) : ?>

	<div class="cross-sells">

		<h4 class="widget-title"><span><?php esc_html_e( 'You may be interested in&hellip;', 'yolo-giraffe' ) ?></span></h4>

		<?php woocommerce_product_loop_start(); ?>

			<?php foreach ( $cross_sells as $cross_sell ) : ?>

				<?php
				 	$post_object = get_post( $cross_sell->get_id() );

					setup_postdata( $GLOBALS['post'] =& $post_object );

					wc_get_template_part( 'content', 'product' ); ?>

			<?php endforeach; ?>

		<?php woocommerce_product_loop_end(); ?>

	</div>

<?php endif;

wp_reset_postdata();