<?php
/**
 * @hooked - yolo_shop_page_content - 5
 **/
global $yolo_giraffe_options;
extract($ajax_args);
$load_more = isset($_POST['pagination']) ? isset($_POST['pagination']) : '';
?>
<?php if ($filter_widget == "top") : ?>
    <div class="yolo-filter-widget col-sm-12">
        <div class="clearfix sidebar woocommerce-sidebar row <?php if ($filter_widget == 'top') {
            echo esc_attr($filter_widget);
        } ?>">
            <?php dynamic_sidebar('woocommerce'); ?>
        </div>
        <div class="clearfix"></div>
        <?php wc_get_template_part( 'content', 'product_reset' );?>
    </div>
<?php endif; ?>


    <div class = "yolo-filter-result <?php if ($content_col !=  "col-12"){ echo esc_attr($content_col); } ?>">
<?php if ( have_posts() ) : ?>
    <?php
    /**
     * woocommerce_before_shop_loop hook
     *
     * @hooked woocommerce_result_count - 20
     * @hooked woocommerce_catalog_ordering - 30
     */
    do_action( 'woocommerce_before_shop_loop' );
    ?>
    <?php if ( $load_more != 'load_more') { woocommerce_product_loop_start(); } ?>

    <?php while ( have_posts() ) : the_post(); ?>

        <?php wc_get_template_part( 'content', 'product' ); ?>

    <?php endwhile; // end of the loop. ?>

    <?php if ( $load_more != 'load_more'){ woocommerce_product_loop_end(); } ?>

    <?php
    /**
     * woocommerce_after_shop_loop hook
     *
     * @hooked woocommerce_pagination - 10
     */
    do_action( 'woocommerce_after_shop_loop' );
    ?>
<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
    <?php wc_get_template( 'loop/no-products-found.php' ); ?>
<?php endif; ?>
</div>

<?php if ($filter_widget != "top") : ?>
    <div class="yolo-filter-widget col-sm-12 <?php echo esc_attr($sidebar_col) ?>">
        <div class="clearfix sidebar woocommerce-sidebar">
            <?php dynamic_sidebar('woocommerce'); ?>
        </div>
        <div class="clearfix"></div>
        <?php wc_get_template_part( 'content', 'product_reset' );?>
    </div>
<?php endif; ?>

<script type = "text/javascript">
    ;(function($){
        "use strict";
        function close_accordion_sections() {
            $('.yolo-filter-widget .widget-title').removeClass('active');
            $('.yolo-filter-widget .widget ul').slideUp(300).removeClass('open');
        }
        function filter_toggle() {
            $('.yolo-filter-widget .widget-title').click(function(e) {
                e.preventDefault();
                if ($(window).width() < 992) {
                    $(this).parents('.yolo-filter-widget').addClass('filter-toggle');
                    if($('.yolo-filter-widget').hasClass('filter-toggle')){
                        var currentAttrValue = $(this).parent().attr('id');
                        if($(this).is('.active')) {
                            close_accordion_sections();
                        }else {
                            close_accordion_sections();

                            // Add active class to section title
                            $(this).addClass('active');
                            // Open up the hidden content panel
                            $('.yolo-filter-widget ' + '#' + currentAttrValue + ' ul').slideDown(300).addClass('open');
                        }
                    }
                }else{
                    $('.yolo-filter-widget').removeClass('filter-toggle');
                    $('.yolo-filter-widget .widget ul').css({"display": "block"});
                }
                $(window).on('resize', function() {
                    if ($(window).width() < 992) {
                        $('.yolo-filter-widget').addClass('filter-toggle');
                        if($('.yolo-filter-widget').hasClass('filter-toggle')){
                            var currentAttrValue = $(this).parent().attr('id');
                            if($(this).is('.active')) {
                                close_accordion_sections();
                            }else {
                                close_accordion_sections();

                                // Add active class to section title
                                $(this).addClass('active');
                                // Open up the hidden content panel
                                $('.yolo-filter-widget ' + '#' + currentAttrValue + ' ul').slideDown(300).addClass('open');
                            }
                        }
                    }else{
                        $('.yolo-filter-widget').removeClass('filter-toggle');
                        $('.yolo-filter-widget .widget ul').css({"display": "block"});
                    }
                });
            });
        }
        jQuery(document).ready(function($) {
            <?php if($auto_close_filter != '1'):?>
                if(!$('.yolo-search-field').hasClass('active')){
                    $('.woocommerce-sidebar.top').css({"display":"block"});
                }
            <?php endif;?>
            filter_toggle();
        });
    })(jQuery);
</script>