<?php
/**
 * Loop Rating
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product,$yolo_giraffe_options;
if ( get_option( 'woocommerce_enable_review_rating' ) === 'no' )
	return;

$product_show_rating = isset($yolo_giraffe_options['product_show_rating']) ? $yolo_giraffe_options['product_show_rating'] : true;
if ($product_show_rating == 0) {
    return;
}
?>

<?php if (wc_get_rating_html( $product->get_average_rating() )) : ?>
	<?php echo wc_get_rating_html( $product->get_average_rating() ); ?>
<?php endif; ?>