<?php
/**
 * Related Products
 *
 * @author      WooThemes
 * @package     WooCommerce/Templates
 * @version     3.9.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}
global $yolo_woocommerce_loop,$yolo_giraffe_options;
$related_product_display_columns = isset($yolo_giraffe_options['related_product_display_columns']) ? $yolo_giraffe_options['related_product_display_columns'] : '4';
$yolo_woocommerce_loop['rating'] = 0;
$yolo_woocommerce_loop['columns'] = $related_product_display_columns;
$yolo_woocommerce_loop['layout'] = 'slider';
if ( $related_products ) : ?>

    <div class="related products">

        <h2 class="widget-title"><span><?php esc_html_e( 'Related products', 'yolo-giraffe' ); ?></span></h2>

        <?php woocommerce_product_loop_start(); ?>

            <?php foreach ( $related_products as $related_product ) : ?>

                <?php
                    $post_object = get_post( $related_product->get_id() );

                    setup_postdata( $GLOBALS['post'] =& $post_object );

                    wc_get_template_part( 'content', 'product' ); ?>

            <?php endforeach; ?>

        <?php woocommerce_product_loop_end(); ?>

    </div>

<?php endif;

wp_reset_postdata();