<?php
/**
 * Single Product Up-Sells
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $yolo_woocommerce_loop,$yolo_giraffe_options;
$related_product_display_columns = isset($yolo_giraffe_options['related_product_display_columns'])?$yolo_giraffe_options['related_product_display_columns']: '4';
$yolo_woocommerce_loop['rating'] = 0;
$yolo_woocommerce_loop['columns'] = $related_product_display_columns;
$yolo_woocommerce_loop['layout'] = 'slider';
if ( $upsells ) : ?>

	<div class="up-sells upsells products">

		<h4 class="widget-title"><span><?php esc_html_e( 'You may also like&hellip;', 'yolo-giraffe' ) ?></span></h4>

		<?php woocommerce_product_loop_start(); ?>

			<?php foreach ( $upsells as $upsell ) : ?>

				<?php
				 	$post_object = get_post( $upsell->get_id() );

					setup_postdata( $GLOBALS['post'] =& $post_object );

					wc_get_template_part( 'content', 'product' ); ?>

			<?php endforeach; ?>

		<?php woocommerce_product_loop_end(); ?>

	</div>

<?php endif;

wp_reset_postdata();